<?php
header('Content-Type: application/json');
include_once('./classes/conexao.php');	
if(!isset($_GET['token'])){
	$mensagem = '{"code":"400","message":"Parametros não preenchido!"}';
	echo $mensagem;
    die();
}
$token = 'ajr123';
$chave = $_GET['token'];
if($chave <> $token){
    $mensagem = '{"code":"400","message":"Token invalido!"}';
	echo $mensagem;
    die();	
}
$filial = $_GET['filial'];
$cte = $_GET['cte'];
$placa = $_GET['placa'];
$manifesto = $_GET['manifesto'];
$json = file_get_contents("php://input");
$obj = json_decode($json);
foreach($obj as $itemsom){
	$lat = $itemsom->lat;
	$long = $itemsom->long;
	$peso = $itemsom->peso; 
	$volumes = $itemsom->volumes;
	$status = $itemsom->status;
	$ocorrencia = $itemsom->ocorrencia;
	$obs = $itemsom->obs;
	$dtmov = $itemsom->dtmov;
	$hrmov = $itemsom->hrmov;
	$nomerec = $itemsom->nomerec;
	$usuario = $itemsom->usuario;
}
$peso = str_replace(",", ".", $peso);
$volumes = str_replace(",", ".", $volumes);
if($placa == ''){
	$mensagem = '{"code":"400","message":"Informe a placa!"}';
	echo $mensagem;
    die();	
}


$update = "update entregas set latitude = '$lat', longitude = '$long', peso = $peso, volumes = $volumes, status = 2, ocorrencia = '$ocorrencia', observacao = '$obs', 
datamovimento = '$dtmov' , horamovimento = '$hrmov', nomerecebedor = '$nomerec', usuario = '$usuario' , statusmobile = 3 where cte = '$cte' and placa = '$placa' and filial = '$filial' and manifesto = '$manifesto' ";
$nupdate = $conn->prepare($update);
$nupdate->execute();

$mensagem = '{"code":"200","message":"Salvo com sucesso!"}';
echo $mensagem;
?>